claw::graphic::bitmap::writer Class Reference

This class write an image in a bitmap file. More...

`#include <bitmap.hpp>`

## Public Member Functions

| writer (const image &img)
| Constructor.
| writer (const image &img, std::ostream &f)
| Constructor.
void | save (std::ostream &f) const
| Save the bitmap in a file.

## Detailed Description

This class write an image in a bitmap file.

Author
  Julien Jorge

Definition at line 296 of file bitmap.hpp.

## Constructor & Destructor Documentation

## writer() [1/2]

claw::graphic::bitmap::writer::writer | ( | const image & | img | ) |

Constructor.

Parameters

  img | The image to save.

Definition at line 38 of file bitmap_writer.cpp.

References claw::graphic::image::image().

## writer() [2/2]

claw::graphic::bitmap::writer::writer | ( | const image & | img,
|  | std::ostream & | f )

Constructor.

Parameters

  img | The image to save.
  f | The file in which we save the data.

Definition at line 50 of file bitmap_writer.cpp.

References claw::graphic::image::image(), and save().

## Member Function Documentation

## save()

void claw::graphic::bitmap::writer::save | ( | std::ostream & | f | ) | const

Save the bitmap in a file.

Parameters

  f | Destination file.

Definition at line 61 of file bitmap_writer.cpp.

Referenced by writer().

The documentation for this class was generated from the following files:

- bitmap.hpp
- code/bitmap_writer.cpp